<table>
  <tr>
    <th>Id</th>
    <th>Surname</th>
    <th>ItemID</th>
    <th>Expl. y. begin</th>
    <th>Expl. y. end</th>
  </tr>
  <tr *ngFor="let log of history" [class.selected]="log === selectedLog">
    <td>{{ log.id }}</td>
    <td>{{ log.surname }}</td>
    <td>{{ log.itemId }}</td>
    <td>{{ log.exploitationYearBegin }}</td>
    <td>{{ log.exploitationYearEnd }}</td>
  </tr>
</table>

<h2>Log info:</h2>
<div>
  <label for="log-id">id: </label>
  <input id="log-id" [(ngModel)]="selectedLog.id" placeholder="id" />
</div>
<div>
  <label for="log-surname">surname: </label>
  <input
    id="log-surname"
    [(ngModel)]="selectedLog.surname"
    placeholder="surname"
  />
</div>
<div>
  <label for="log-item">item id: </label>
  <input id="log-item" [(ngModel)]="selectedLog.itemId" placeholder="item" />
</div>
<div>
  <label for="log-yearbegin">Expl. y. begin: </label>
  <input
    id="log-yearbegin"
    [(ngModel)]="selectedLog.exploitationYearBegin"
    placeholder="yearbegin"
  />
</div>
<div>
  <label for="log-yearend">Expl. y. end: </label>
  <input
    id="log-yearend"
    [(ngModel)]="selectedLog.exploitationYearEnd"
    placeholder="yearend"
  />
</div>

<div>
  <button type="button" (click)="onCreate()">Create</button>
  <button type="button" (click)="onRead()">Read</button>
  <button type="button" (click)="onUpdate()">Update</button>
  <button type="button" (click)="onDelete()">Delete</button>
</div>
